Memo Service
Get Memo
GetMemo gets a memo.
curl -X GET "https://example.com/api/v1/memos/string"{
"name": "string",
"state": "STATE_UNSPECIFIED",
"creator": "string",
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z",
"content": "string",
"visibility": "VISIBILITY_UNSPECIFIED",
"tags": [
"string"
],
"pinned": true,
"attachments": [
{
"name": "string",
"createTime": "2019-08-24T14:15:22Z",
"filename": "string",
"content": "string",
"externalLink": "string",
"type": "string",
"size": "string",
"memo": "string",
"motionMedia": {
"family": "MOTION_MEDIA_FAMILY_UNSPECIFIED",
"role": "MOTION_MEDIA_ROLE_UNSPECIFIED",
"groupId": "string",
"presentationTimestampUs": "string",
"hasEmbeddedVideo": true
}
}
],
"relations": [
{
"memo": {
"name": "string",
"snippet": "string"
},
"relatedMemo": {
"name": "string",
"snippet": "string"
},
"type": "TYPE_UNSPECIFIED"
}
],
"reactions": [
{
"name": "string",
"creator": "string",
"contentId": "string",
"reactionType": "string",
"createTime": "2019-08-24T14:15:22Z"
}
],
"property": {
"hasLink": true,
"hasTaskList": true,
"hasCode": true,
"hasIncompleteTasks": true,
"title": "string"
},
"parent": "string",
"snippet": "string",
"location": {
"placeholder": "string",
"latitude": 0.1,
"longitude": 0.1
}
}{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}